Skip to main content
Create a virtual NUBAN account for an individual customer. Requires basic KYC information.

Endpoint

POST /api/v1/business/virtualaccount/customer
Signature required: Yes

Headers

HeaderRequiredDescription
x-api-keyYesYour API key
x-signature-keyYesRequest signature

Request body

FieldTypeRequiredDescription
firstNamestringYesCustomer’s first name
lastNamestringYesCustomer’s last name
emailstringYesCustomer’s email address
mobileNumberstringYesCustomer’s phone number
bvnstringYesCustomer’s Bank Verification Number

Request example

curl -X POST "https://api-dev.usenumero.com/numeroaccount/api/v1/business/virtualaccount/customer" \
  -H "Content-Type: application/json" \
  -H "x-api-key: your_api_key" \
  -H "x-signature-key: generated_signature" \
  -d '{
    "firstName": "John",
    "lastName": "Doe",
    "email": "[email protected]",
    "mobileNumber": "08012345678",
    "bvn": "12345678901"
  }'

Response

{
  "status": true,
  "message": "Successful",
  "code": "200",
  "version": "v1",
  "reference": "abc123",
  "data": {
    "reference": "VA-20240115-abc123",
    "accountName": "John Doe",
    "accountNumber": "8012345678",
    "bankName": "Providus Bank",
    "providerCode": "PROVIDUS"
  },
  "error": null
}
FieldTypeDescription
referencestringUnique reference for this virtual account
accountNamestringThe name on the virtual account
accountNumberstringThe NUBAN account number — share this with your customer
bankNamestringThe bank the account was created with
providerCodestringProvider identifier